當使用 git 以 HTTPS 連線 clone repository 時出現 …

Unable to find remote helper for ‘https’

可能是在安裝 git 時因為缺少 libcurl 套件所導致 但是環境沒有 libcurl 時一樣可以安裝,只是會不能走 HTTPS 通道而已 若要修復這個問題,只需安裝 libcurl 後重新編譯安裝 git 就好:

Ubuntu 或 Debian,先安裝 libcurl4-openssl-dev

sudo apt-get install -y libcurl4-openssl-dev 

CentOS/RedHat/Fedora,安裝 libcurl-devel.x86_64

sudo yum install -y libcurl-devel.x86_64

回到 git 原始碼目錄重新編譯並安裝 git

cd ~/git-2.8.16
./configure
make
make install

Reference: linux – Unable to find remote helper for ‘https’ during git clone – Stack Overflow

留言